import mechanize
import time
from mechanize import Browser

class Transaction(object):
    def __init__(self):
        self.custom_timers = {}

    def run(self):
        browser = Browser()
        browser.set_handle_robots(False)

        start_timer = time.time()
        resp = browser.open('http://localhost:8080/app-stress/applicants')
        resp.read()
        latency = time.time() - start_timer

        self.custom_timers['SIRP Applicant Section'] = latency

        assert (resp.code == 200), 'Bad HTTP Response'
        assert (
            'Application Section' in resp.get_data()
            ),'Failed Content Verification'


if __name__ == '__main__':
    trans = Transaction()
    trans.run()
    print trans.custom_timers
